Subject: Re: bug#18221: Source of mit-scheme

From: Mark H Weaver <[email-masked]>
Date: Wed, 13 Aug 2014 15:22:28 -0400

Andreas Enge <[email-masked]> writes:

> Hello,
>
> mit-scheme fails to build on mips64el-linux, because specific source is not
> downloaded for this system. Furthermore, I wonder if in the corresponding
> lines
>   (match (%current-system)
>     ("x86_64-linux" "x86-64")
>     ("i686-linux" "i386")
>     (_ "c"))
> one need not also check for the target system in the usual manner.
> Here the "c" should be the empty string, I think, and the preceding "-"
> should be included into "x86-64" and "i386".

I'm not sure I understand what you're suggesting.

The problem here is that the "c" belongs in a different place in the
filename than where the "i386" or "x86-64" goes.  The filenames are:

  mit-scheme-9.2-i386.tar.gz
  mit-scheme-9.2-x86-64.tar.gz
  mit-scheme-c-9.2.tar.gz

So I guess we need something like this (untested):

  (uri (string-append "mirror://gnu/mit-scheme/stable.pkg/"
                      version "/mit-scheme-"
                      (match (%current-system)
                        ("x86_64-linux"
                         (string-append version "-x86-64"))
                        ("i686-linux"
                         (string-append version "-i386"))
                        (_
                         (string-append "c-" version)))
                      ".tar.gz"))

    Thanks,
      Mark